/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.checkresult;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class RingReport {

	@XmlAttribute(name = "gml_id", required = false)
	private String gmlId;

	@XmlAttribute(name = "type", required = true)
	private RingType type;

	@XmlElement(name = "vertex", required = true)
	private List<VertexReport> vertices;

	public void setGmlId(String gmlId) {
		this.gmlId = gmlId;
	}

	public void setType(RingType type) {
		this.type = type;
	}

	public void setVertices(List<VertexReport> vertices) {
		this.vertices = vertices;
	}

	public String getGmlId() {
		return gmlId;
	}

	public RingType getType() {
		return type;
	}

	public List<VertexReport> getVertices() {
		if (vertices == null) {
			vertices = new ArrayList<>();
		}
		return vertices;
	}
}
